Bug 145772 - %post scriptlet fails due to lack of cpuspeed
Summary: %post scriptlet fails due to lack of cpuspeed
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel-utils (Show other bugs)
(Show other bugs)
Version: 2
Hardware: x86_64 Linux
medium
medium
Target Milestone: ---
Assignee: Dave Jones
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-01-21 13:47 UTC by Jason Tibbitts
Modified: 2015-01-04 22:16 UTC (History)
1 user (show)

Fixed In Version: FC4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-23 23:04:54 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jason Tibbitts 2005-01-21 13:47:50 UTC
The following error was spit out by the nightly yum update process on all of my
FC2 x86_64 machines while applying the recent kernel-utils update:

error reading information on service cpuspeed: No such file or directory
error: %post(kernel-utils-2.4-9.1.131_FC2) scriptlet failed, exit status 1

It's trying to chkconfig --add cpuspeed, but the x86_64 version of this package 
doesn't seem to include cpuspeed.

This seems to have resulted in multiple kernel-utils packages being installed:

> rpm -q kernel-utils
kernel-utils-2.4-9.1.131
kernel-utils-2.4-9.1.131_FC2

(both are x86_64 packages, so some repo problem didn't result in the i386
package being installed).

I'll have to figure out what's up with that.

Comment 1 Dave Jones 2005-01-21 20:00:23 UTC
http://people.redhat.com/davej/kernel-utils/ should have the x86-64 problem fixed.

The  _FC2 seems to have thrown yum into thinking its a separate package for some
reason. Odd. yum bug ?


Note You need to log in before you can comment on or make changes to this bug.